Cloud APIs
/- DrillPlan
Offset Well API
- Get QC rules for drilling parameter entities
Create new or update existing drilling parameter entities
Delete drilling parameter entities by ids
Delete drilling parameter entities by run ids
Delete drilling parameter entities by well guids
Get drilling parameters by ids
Get drilling parameters by an array of RunId
Get drilling parameters by well guids
Scroll to fetch results of next page
Get QC rules for drilling...
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/qc-rules
- ProdUShttps://api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/qc-rules
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/offsetwellapi/v1/drilling-parameters/qc-rules
- bearer + appkey
- sauth_service_token + appkey
curl -i -X GET \
https://eu-api.delfi.slb.com/drillplan/offset-well-data/v1/drilling-parameters/qc-rules \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string'Response
- text/plain
- application/json
- text/json
[
{
"property_name": "string",
"parent_node_name": "string",
"rule_type": "Numerical"
}
]